USRP Hardware Driver and USRP Manual: uhd::rfnoc::chdr Namespace Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::chdr Namespace Reference

## Classes
class | chdr_header
class | ctrl_payload
class | strs_payload
class | strc_payload
class | mgmt_op_t
| A class that represents a single management operation. More...
class | mgmt_hop_t
| A class that represents a single management hop. More...
class | mgmt_payload
| A class that represents a complete multi-hop management transaction. More...

## Enumerations
enum | packet_type_t { PKT_TYPE_MGMT = 0x0 , PKT_TYPE_STRS = 0x1 , PKT_TYPE_STRC = 0x2 , PKT_TYPE_CTRL = 0x4 , PKT_TYPE_DATA_NO_TS = 0x6 , PKT_TYPE_DATA_WITH_TS = 0x7 }
enum | ctrl_status_t { CMD_OKAY = 0x0 , CMD_CMDERR = 0x1 , CMD_TSERR = 0x2 , CMD_WARNING = 0x3 }
enum | ctrl_opcode_t { OP_SLEEP = 0x0 , OP_WRITE = 0x1 , OP_READ = 0x2 , OP_READ_WRITE = 0x3 , OP_BLOCK_WRITE = 0x4 , OP_BLOCK_READ = 0x5 , OP_POLL = 0x6 , OP_USER1 = 0xA , OP_USER2 = 0xB , OP_USER3 = 0xC , OP_USER4 = 0xD , OP_USER5 = 0xE , OP_USER6 = 0xF }
enum | strs_status_t { STRS_OKAY = 0x0 , STRS_CMDERR = 0x1 , STRS_SEQERR = 0x2 , STRS_DATAERR = 0x3 , STRS_RTERR = 0x4 }
enum | strc_op_code_t { STRC_INIT = 0x0 , STRC_PING = 0x1 , STRC_RESYNC = 0x2 }

## Functions
template<typename payload_t>
constexpr packet_type_t | payload_to_packet_type ()
| Conversion from payload_t to pkt_type.
template<>
constexpr packet_type_t | payload_to_packet_type< ctrl_payload > ()
template<>
constexpr packet_type_t | payload_to_packet_type< mgmt_payload > ()
template<>
constexpr packet_type_t | payload_to_packet_type< strc_payload > ()
template<>
constexpr packet_type_t | payload_to_packet_type< strs_payload > ()

## Enumeration Type Documentation

## ◆ ctrl_opcode_t

enum uhd::rfnoc::chdr::ctrl_opcode_t

Enumerator
OP_SLEEP |
OP_WRITE |
OP_READ |
OP_READ_WRITE |
OP_BLOCK_WRITE |
OP_BLOCK_READ |
OP_POLL |
OP_USER1 |
OP_USER2 |
OP_USER3 |
OP_USER4 |
OP_USER5 |
OP_USER6 |

## ◆ ctrl_status_t

enum uhd::rfnoc::chdr::ctrl_status_t

Enumerator
CMD_OKAY |
CMD_CMDERR | Transaction successful.
CMD_TSERR | Slave asserted a command error.
CMD_WARNING | Slave asserted a time stamp error.

## ◆ packet_type_t

enum uhd::rfnoc::chdr::packet_type_t

Enumerator
PKT_TYPE_MGMT |
PKT_TYPE_STRS | Management packet.
PKT_TYPE_STRC | Stream status.
PKT_TYPE_CTRL | Stream Command.
PKT_TYPE_DATA_NO_TS | Control Transaction.
PKT_TYPE_DATA_WITH_TS | Data Packet without TimeStamp.

## ◆ strc_op_code_t

enum uhd::rfnoc::chdr::strc_op_code_t

Enumerator
STRC_INIT |
STRC_PING | Initialize stream.
STRC_RESYNC | Trigger a stream status response.

## ◆ strs_status_t

enum uhd::rfnoc::chdr::strs_status_t

Enumerator
STRS_OKAY |
STRS_CMDERR | No error.
STRS_SEQERR | A stream command signalled an error.
STRS_DATAERR | Packet out of sequence (sequence error).
STRS_RTERR | Data integrity check failed.

## Function Documentation

## ◆ payload_to_packet_type()

template<typename payload_t>

packet_type_t uhd::rfnoc::chdr::payload_to_packet_type | ( |  | ) |
| constexpr

Conversion from payload_t to pkt_type.

## ◆ payload_to_packet_type< ctrl_payload >()

template<>

packet_type_t uhd::rfnoc::chdr::payload_to_packet_type< ctrl_payload > | ( |  | ) |
| constexpr

## ◆ payload_to_packet_type< mgmt_payload >()

template<>

packet_type_t uhd::rfnoc::chdr::payload_to_packet_type< mgmt_payload > | ( |  | ) |
| constexpr

## ◆ payload_to_packet_type< strc_payload >()

template<>

packet_type_t uhd::rfnoc::chdr::payload_to_packet_type< strc_payload > | ( |  | ) |
| constexpr

## ◆ payload_to_packet_type< strs_payload >()

template<>

packet_type_t uhd::rfnoc::chdr::payload_to_packet_type< strs_payload > | ( |  | ) |
| constexpr